/*
 * Copyright (C) 2003      Martyn Russell <ginxd@btopenworld.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

/* 
 * $RCSfile: gj_gtk_group_chat.h,v $
 *
 * $Author: ginxd $
 * $Date: 2003/10/07 19:28:42 $
 * 
 * $Revision: 1.7 $
 *
 */

#ifndef __gj_gtk_group_chat_h
#define __gj_gtk_group_chat_h

#include "gj_event.h"

typedef struct t_GroupChatWindow *GroupChatWindow;

gboolean gj_gtk_gcw_join(const gchar *host, const gchar *room, const gchar *nickname);

gboolean gj_gtk_gcw_post_by_event(GjEvent ev);

#endif

