/*
 * Copyright (C) 2003      Martyn Russell <ginxd@btopenworld.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

/* 
 * $RCSfile: gj_gtk_headline.h,v $
 *
 * $Author: ginxd $
 * $Date: 2003/10/07 19:28:42 $
 * 
 * $Revision: 1.9 $
 *
 */

#ifdef __cplusplus
extern "C" {
#if 0
}
#endif
#endif

#ifndef __gj_gtk_headline_h
#define __gj_gtk_headline_h

typedef struct t_HeadlineWindow *HeadlineWindow;

/*
 * window functions
 */
gboolean gj_gtk_hw_load_by_ri(GjRosterItem ri);
gboolean gj_gtk_hw_show(HeadlineWindow hw, gboolean show);

HeadlineWindow gj_gtk_hw_notification_new(gint eventID, GjMessage m);

#endif


#ifdef __cplusplus
}
#endif
